> ## Documentation Index
> Fetch the complete documentation index at: https://strattumai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SQL content of a specific model version

> Returns the SQL content of a dbt model at a given git commit.



## OpenAPI

````yaml /api-reference/catalog-api.json get /transformations/{name}/history/{commit}
openapi: 3.1.0
info:
  title: Strattum Catalog API
  description: Expõe a estrutura do data lake — camadas, conectores e tabelas.
  version: 0.1.0
servers: []
security: []
paths:
  /transformations/{name}/history/{commit}:
    get:
      tags:
        - transformations
      summary: Get SQL content of a specific model version
      description: Returns the SQL content of a dbt model at a given git commit.
      operationId: get_model_version_transformations__name__history__commit__get
      parameters:
        - name: name
          in: path
          required: true
          schema:
            type: string
            title: Name
        - name: commit
          in: path
          required: true
          schema:
            type: string
            title: Commit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelVersion'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ModelVersion:
      properties:
        model:
          type: string
          title: Model
        commit:
          type: string
          title: Commit
        sql:
          type: string
          title: Sql
      type: object
      required:
        - model
        - commit
        - sql
      title: ModelVersion
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````